Package tigase.io

## Class TLSIO

- java.lang.Object
- - tigase.io.TLSIO

- All Implemented Interfaces:
    `IOInterface`, `TLSIOIfc`

      public class TLSIO
      extends java.lang.Object
      implements IOInterface, TLSIOIfc

  Describe class TLSIO here.
  Created: Sat May 14 07:43:30 2005
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `TLS_CAPS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TLSIO​(IOInterface ioi, TLSWrapper wrapper, java.nio.ByteOrder order)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `bytesRead()` |
    `boolean` | `checkCapabilities​(java.lang.String caps)` |
    `long` | `getBuffOverflow​(boolean reset)` |
    `long` | `getBytesReceived​(boolean reset)` |
    `long` | `getBytesSent​(boolean reset)` |
    `int` | `getInputPacketSize()` |
    `java.nio.channels.SocketChannel` | `getSocketChannel()` |
    `void` | `getStatistics​(StatisticsList list, boolean reset)` |
    `long` | `getTotalBuffOverflow()` |
    `long` | `getTotalBytesReceived()` |
    `long` | `getTotalBytesSent()` |
    `boolean` | `isConnected()` |
    `boolean` | `isRemoteAddress​(java.lang.String addr)` |
    `void` | `processHandshake​(byte[] data)` |
    `java.nio.ByteBuffer` | `read​(java.nio.ByteBuffer buff)` |
    `void` | `setLogId​(java.lang.String logId)` |
    `void` | `stop()` |
    `java.lang.String` | `toString()` |
    `boolean` | `waitingToSend()` |
    `int` | `waitingToSendSize()` |
    `int` | `write​(java.nio.ByteBuffer buff)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TLS_CAPS

          public static final java.lang.String TLS_CAPS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TLSIO

          public TLSIO​(IOInterface ioi,
                       TLSWrapper wrapper,
                       java.nio.ByteOrder order)
                throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### bytesRead

          public int bytesRead()

      Specified by:
        `bytesRead` in interface `IOInterface`

    - #### getBytesSent

          public long getBytesSent​(boolean reset)

      Specified by:
        `getBytesSent` in interface `IOInterface`

    - #### getTotalBytesSent

          public long getTotalBytesSent()

      Specified by:
        `getTotalBytesSent` in interface `IOInterface`

    - #### getBytesReceived

          public long getBytesReceived​(boolean reset)

      Specified by:
        `getBytesReceived` in interface `IOInterface`

    - #### getTotalBytesReceived

          public long getTotalBytesReceived()

      Specified by:
        `getTotalBytesReceived` in interface `IOInterface`

    - #### getBuffOverflow

          public long getBuffOverflow​(boolean reset)

      Specified by:
        `getBuffOverflow` in interface `IOInterface`

    - #### getTotalBuffOverflow

          public long getTotalBuffOverflow()

      Specified by:
        `getTotalBuffOverflow` in interface `IOInterface`

    - #### checkCapabilities

          public boolean checkCapabilities​(java.lang.String caps)

      Specified by:
        `checkCapabilities` in interface `IOInterface`

    - #### getInputPacketSize

          public int getInputPacketSize()
                                 throws java.io.IOException

      Specified by:
        `getInputPacketSize` in interface `IOInterface`
      Throws:
        `java.io.IOException`

    - #### getSocketChannel

          public java.nio.channels.SocketChannel getSocketChannel()

      Specified by:
        `getSocketChannel` in interface `IOInterface`

    - #### getStatistics

          public void getStatistics​(StatisticsList list,
                                    boolean reset)

      Specified by:
        `getStatistics` in interface `IOInterface`

    - #### isConnected

          public boolean isConnected()

      Specified by:
        `isConnected` in interface `IOInterface`

    - #### isRemoteAddress

          public boolean isRemoteAddress​(java.lang.String addr)

      Specified by:
        `isRemoteAddress` in interface `IOInterface`

    - #### read

          public java.nio.ByteBuffer read​(java.nio.ByteBuffer buff)
                                   throws java.io.IOException

      Specified by:
        `read` in interface `IOInterface`
      Throws:
        `java.io.IOException`

    - #### stop

          public void stop()
                    throws java.io.IOException

      Specified by:
        `stop` in interface `IOInterface`
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### waitingToSend

          public boolean waitingToSend()

      Specified by:
        `waitingToSend` in interface `IOInterface`

    - #### waitingToSendSize

          public int waitingToSendSize()

      Specified by:
        `waitingToSendSize` in interface `IOInterface`

    - #### write

          public int write​(java.nio.ByteBuffer buff)
                    throws java.io.IOException

      Specified by:
        `write` in interface `IOInterface`
      Throws:
        `java.io.IOException`

    - #### setLogId

          public void setLogId​(java.lang.String logId)

      Specified by:
        `setLogId` in interface `IOInterface`

    - #### processHandshake

          public void processHandshake​(byte[] data)
                                throws java.io.IOException

      Specified by:
        `processHandshake` in interface `TLSIOIfc`
      Throws:
        `java.io.IOException`